package cn.freemud.entities;

public class EdenResponse<T> {
    private  static  final  String SUCCESSCODE ="200";

    protected String statusCode;
    protected String message;
    protected T result;

    public EdenResponse() {
        this.statusCode = SUCCESSCODE;
    }

    public EdenResponse(String statusCode) {
        this.statusCode = statusCode;
    }
    public EdenResponse(String statusCode, String message) {
        this.statusCode = statusCode;
        this.message = message;
    }

    public EdenResponse(String ver, String statusCode, T result) {
        this.statusCode = statusCode;
        this.message = message;
        this.result = result;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getResult() {
        return this.result;
    }

    public void setResult(T result) {
        this.result = result;
    }

}
